# SDN Bootcamp
### by [Łukasz Bromirski](https://www.linkedin.com/in/lukaszbromirski/) & [Robert Ślaski](https://www.linkedin.com/in/mikrobi/)

This repository contains SDN bootcamp materials, that can be used (obviously) even without attending the bootcamp.

We invite you however to enlist and attend the bootcamp - if you're network engineer, you may even consider it a must :) If you want to join us, please get in touch with [CSH Hector](https://csh.com.pl/szkolenie/?tid=288) and secure your slot!

If you're looking for additional resources, take a look [here](https://github.com/lukasz-bromirski/sdnbcamp/blob/master/resources.md).

## Agenda

### Day 1:

   * SDN - fifteen years in the making - overview of history and future of SDN networks
   * Classical Ethernet recap
      * Configuring VLANs and routing - Cisco Catalyst 9300 and Cisco ISR 4200 routers
      * Configuring VLANs and routing on switches - Cisco Nexus 9000
   * Leaf & Spine DCs
      * Configuring DC flood & learn VXLAN
      * Configuring DC MP-BGP with EVPN
   * git
      * Intro and usage for local and remote repositories
      * Best practices, tips & tricks 
   * Cisco Guest Shell
      * Guest Shell on Cisco Catalyst IOS-XE switches
      * Guest Shell on Cisco Nexus switches
   * Ansible
      * Intro and usage with basic playbooks
      * Creating playbooks for Cisco Catalyst and Cisco Nexus switches
   
### Day 2:

   * RESTful APIs
      * Introduction to APIs
      * YANG, NETCONF & RESTCONF
      * Using wget, cURL and Postman to work with APIs
   * NSO - Cisco Network Services Orchestration
      * Introduction
      * Basic usage
      * Building feature and service templates
      * Building Ethernet+VXLAN automation
      * Using Postman with NSO API
      * Virtualizing using nso-netsim
   * NSO - Advanced
      * Building & using example service - EVPN+VXLAN DC
   
### Day 3:

   * Cisco SDA
      * Architecture
      * Basic setup
      * Configuration, management, orchestration
   
### Day 4:

   * Cisco ACI
      * Architecture
      * Basic setup
      * Configuration, management, orchestration
   
### Day 5:

   * Cisco SD-WAN
      * Architecture
      * Basic setup
      * Configuration, management, orchestration